Subject: bug#4137: closed (Re: bug#4137: 23.1.50; vc-dir waits instead of error message)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 22 May 2025 09:07:03 +0000

Your bug report

#4137: 23.1.50; vc-dir waits instead of error message

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
4137: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=4137
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#4137: 23.1.50; vc-dir waits instead of error message
From: Sean Whitton <[email-masked]>
To: Richard Stallman <[email-masked]>
Cc: [email-masked]
Date: Thu, 22 May 2025 10:06:46 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

On Wed 21 May 2025 at 07:15pm -04, Richard Stallman wrote:

> [[[ To any NSA and FBI agents reading my email: please consider    ]]]
> [[[ whether defending the US Constitution against all enemies,     ]]]
> [[[ foreign or domestic, requires you to follow Snowden's example. ]]]
>
>   > > I hae no way to access the RT tickets, but you can do that.
>   > > Can you possibly show me the initial bug report?
>
>   > There are several messages from you, so you probably want to read
>   > through the web view: <https://debbugs.gnu.org/4137>.
>
> I am so far behind on reading some emails that I don't see them for
> two months.  I just today saw your last reply about this.  I was able
> to use the debbugs web interface and saw that the initial bug report
> was from 2009!  I did not know that until just now.
>
> Sine the bug happened so long ago, it has probably disappeared by now,
> you may as well close it and we will see if anyone reports it again some day.

Okay, thanks, done.

-- 
Sean Whitton

Subject: 23.1.50; vc-dir waits instead of error message
From: Richard Stallman <[email-masked]>
To: [email-masked]
Date: Thu, 13 Aug 2009 10:21:03 -0400

I tried doing vc-dir without having entered my passphrase to enable
subjobs of Emacs to contact savannah.  So CVS would have failed.
But vc-dir gave no sign of this.  It created the buffer in the initial
state, and never said or did anything more.

In GNU Emacs 23.1.50.4 (mipsel-unknown-linux-gnu, GTK+ Version 2.12.12)
 of 2009-08-11 on theobromine2
configured using `configure  'CFLAGS=-O0 -g -Wno-pointer-sign' 'mipsel-unknown-linux-gnu' 'build_alias=mipsel-unknown-linux-gnu' 'host_alias=mipsel-unknown-linux-gnu' 'target_alias=mipsel-unknown-linux-gnu''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: VC dir

Minor modes in effect:
  gpm-mouse-mode: t
  display-battery-mode: t
  tooltip-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Recent input:
a b o l i s h e d SPC w e l f a r e SPC f o r ESC DEL 
f o r SPC a d u l t s ESC DEL ESC DEL d e c a d e s 
SPC a o , C-b C-b g C-e SPC e x c e p t RET f o r SPC 
f a m i l i e s , SPC a n d SPC A r i z o n a SPC i 
s SPC n o t SPC g e n e r a l DEL a l l y SPC C-u C-b 
DEL C-e c o s i d e C-u C-b n C-e r e d SPC l i b e 
r a l SPC o r SPC p r o g r e s s i v e C-a ESC f ESC 
f C-k ; SPC i s SPC A r i z o n a SPC a n SPC e c e 
p t o n DEL DEL i o n ? ESC b C-f x C-e SPC SPC D o 
e s SPC T e m p e SPC h a e SPC a DEL DEL v DEL e SPC 
DEL DEL DEL v e SPC C-a C-p ESC e ESC k ESC k C-p ESC 
f C-f C-d ESC f ESC f C-d C-n SPC SPC C a n SPC s o 
m e o n e SPC f i n d SPC o u t ? RET C-c C-c d d u 
o e n d o r TAB RET d x C-x b * v c - d TAB RET C-z 
ESC x r e p o r t SPC e m a c s TAB RET

Recent messages:
Sending...
Wrote /home/rms/outgoing/out-18
Sending...done
Wrote /home/rms/foo.html
Auto-saving...done
Sending...
Wrote /home/rms/outgoing/out-19
Sending...done
Added to /home/rms/xmail/endorsements.xmail
Expunging deleted messages...done

Load-path shadows:
None found.